Subject: [bug#49339] [PATCH core-updates] gnu: mesa: Update to 21.1.4.

From: John Kehayias <[email-masked]>
Date: Thu, 08 Jul 2021 01:35:04 +0000

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Monday, July 5th, 2021 at 11:35 AM:

> libepoxy doesn't build (patch paths?). On #guix there was discussion of fixing these problems, could an updated patch be sent here for testing?

This was easy to solve: I switched where libepoxy was looking for EGL and GL libraries to use libglvnd rather than mesa, as well as adding libglvnd as an input. Also added libglvnd as an input into xorg-server.

Looking at other packages that depend on e.g. libepoxy/mesa/etc. seems like many will need libglvnd as an input now? Is that what we want to move to (I take it is optional, but perhaps a move in the right direction)?

In either case, I'd love to see this in core-updates so we can make fixes to dependent packages as needed, since there are many that depend on mesa, libepoxy, xorg-server, and so on.